(function () {
    'use strict';

    angular.module('luticate')
        .factory('ServiceCache', ['localStorageService', function (localStorageService) {

            var ServiceCache = {};

            ServiceCache.setToken = function(token)
            {
                localStorageService.set('lu_token', token);
            };

            ServiceCache.getToken = function()
            {
                return localStorageService.get('lu_token');
            };

            ServiceCache.removeToken = function()
            {
                localStorageService.remove('lu_token');
            };

            return ServiceCache;
        }]);
})();